# Contributing

Hello! We are delighted that you want to contribute to the scienlib project. Your help is essential to keep it great.

Following these guidelines helps communicate that you are respecting the time of the developers who manage and develop this open source project. In return, they should reciprocate that respect by addressing your issue, evaluating the changes, and helping you finalize your pull requests.

# How to report a bug

Do you think you found a bug? Check [the list of open issues](https://github.com/dylan14567/scienlib/issues) to see if your bug has already been reported. If not, send a new number.

Here are some tips for writing great bug reports:

* Describe the specific problem (eg, "The widget does not rotate clockwise" versus "an error appears")
* Include steps to reproduce the error, what you expected to happen, and what happened instead
* Check that you are using the latest version of the project and its dependencies.
* Include what version of the project you are using, as well as any relevant dependencies.
* Only includes one error per problem. If you have discovered two errors, present two problems
* Even if you don't know how to correct the error, including a failed test can help others locate it.

# How to suggest a feature or improvement

Here are some general guidelines for proposing changes:

* Each pull request must implement a function or bug fix. If you want to add or correct more than one thing, submit more than one pull request.
* Do not commit changes to files that are irrelevant to their function or bug fixes.
* Please do not increase the version number in your pull request (it will be changed before launch)
* Write a good confirmation message

At a high level, the process for proposing changes is:

1. Clone the project
2. Create a new branch: ``` git checkout -b my-branch-name ```
3. Make your change, add tests, and make sure the tests still pass.
4. Submit a pull request.
5. Wait for your pull request to be reviewed and merged.

Interested in submitting your first pull request? It is easy! You can learn how in this free series [How to contribute to a code project open on GitHub](https://egghead.io/series/how-to-contribute-to-an-open-source-project-on-github)  

# Your first contribution

[Contribute to open source on GitHub](https://guides.github.com/activities/contributing-to-open-source) 

[Use pull requests](https://help.github.com/articles/using-pull-requests) 

[GitHub Help](https://help.github.com) 
